Skip to main content
`Ctrl`+`K`

# EulerAngleRotation

class astropy.modeling.rotations.EulerAngleRotation(phi, theta, psi, axes_order, **kwargs)

  Bases: `_EulerRotation`, `Model`

  Implements Euler angle intrinsic rotations.

  Rotates one coordinate system into another (fixed) coordinate system. All coordinate systems are right-handed. The sign of the angles is determined by the right-hand rule..

  Parameters:
    phi, theta, psi `python:float` or `Quantity` [:ref: ‘angle’]

      “proper” Euler angles in deg. If floats, they should be in deg.

    axes_order `python:str`

      A 3 character string, a combination of ‘x’, ‘y’ and ‘z’, where each character denotes an axis in 3D space.

  Attributes Summary

  `n_inputs` |
  `n_outputs` |
  `param_names` | Names of the parameters that describe models of this type.
  `phi` |
  `psi` |
  `theta` |

  Methods Summary

  `__call__`(*inputs[, model_set_axis, ...]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `evaluate`(alpha, delta, phi, theta, psi) | Evaluate the model on some input variables.

  Attributes Documentation

  n_inputs = 2
  n_outputs = 2
  param_names = ('phi', 'theta', 'psi')

    Names of the parameters that describe models of this type.

    The parameters in this tuple are in the same order they should be passed in when initializing a model of a specific type. Some types of models, such as polynomial models, have a different number of parameters depending on some other property of the model, such as the degree.

    When defining a custom model class the value of this attribute is automatically set by the `Parameter` attributes defined in the class body.

  phi = Parameter('phi', value=0.0)
  psi = Parameter('psi', value=0.0)
  theta = Parameter('theta', value=0.0)

  Methods Documentation

  __call__(*inputs, model_set_axis=None, with_bounding_box=False, fill_value=nan, equivalencies=None, inputs_map=None, **new_inputs)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  evaluate(alpha, delta, phi, theta, psi)

    Evaluate the model on some input variables.